Get Webhook Subscription
GET /webhooks/{id}
GET
/webhooks/{id}
Fetch a single webhook subscription owned by the authenticated user.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X GET https://api.astroway.info/v1/webhooks/{id} \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json"const res = await fetch('https://api.astroway.info/v1/webhooks/{id}', { method: 'GET', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', },});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.get( 'https://api.astroway.info/v1/webhooks/{id}', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'},)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->get('webhooks/{id}', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
id
number
event
string
url
string
active
boolean
failure_count
number
last_delivery_at
string
last_status_code
number
created_at
string
Example
{ "ok": true, "data": { "id": 42, "event": "report-ready", "url": "...", "active": true, "failure_count": 0, "last_delivery_at": "2026-05-08T12:00:00Z", "last_status_code": 200, "created_at": "..." }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.